Logging to file and to docker

Reference #2559

History

#1 - 01/24/2020 05:55 AM - Luke Murphey

- Status changed from New to In Progress

I tried the following:

RUN ln -sf /dev/stdout /usr/src/app/var/log/app.log

 

This generates an error though:

--- Logging error ---

Traceback (most recent call last):

  File "/usr/local/lib/python3.7/logging/handlers.py", line 69, in emit

    if self.shouldRollover(record):

  File "/usr/local/lib/python3.7/logging/handlers.py", line 186, in shouldRollover

    self.stream.seek(0, 2)  #due to non-posix-compliant Windows feature

io.UnsupportedOperation: underlying stream is not seekable

Call stack:

  File "/usr/local/lib/python3.7/threading.py", line 890, in _bootstrap

    self._bootstrap_inner()

  File "/usr/local/lib/python3.7/threading.py", line 926, in _bootstrap_inner

    self.run()

  File "/usr/local/lib/python3.7/site-packages/wsgiserver.py", line 1572, in run

    conn.communicate()

  File "/usr/local/lib/python3.7/site-packages/wsgiserver.py", line 1394, in communicate

    req.respond()

  File "/usr/local/lib/python3.7/site-packages/wsgiserver.py", line 848, in respond

    self.server.gateway(self).respond()

  File "/usr/local/lib/python3.7/site-packages/wsgiserver.py", line 2336, in respond

    response = self.req.server.wsgi_app(self.env, self.start_response)

  File "/usr/local/lib/python3.7/site-packages/django/core/handlers/wsgi.py", line 157, in __call__

    response = self.get_response(request)

  File "/usr/local/lib/python3.7/site-packages/django/core/handlers/base.py", line 124, in get_response

    response = self._middleware_chain(request)

  File "/usr/local/lib/python3.7/site-packages/django/core/handlers/exception.py", line 41, in inner

    response = get_response(request)

  File "/usr/local/lib/python3.7/site-packages/django/core/handlers/base.py", line 249, in _legacy_get_respons

e

    response = self._get_response(request)

  File "/usr/local/lib/python3.7/site-packages/django/core/handlers/base.py", line 185, in _get_response
    response = wrapped_callback(request, *callback_args, **callback_kwargs)

  File "/usr/src/app/reader/shortcuts/__init__.py", line 427, in return_cached_page_if_ajax

    logger.debug("Cache miss for key=%s", key)

#2 - 01/24/2020 05:58 AM - Luke Murphey

Trying this: https://stackoverflow.com/questions/46776596/manage-py-doesnt-log-to-stdout-stderr-in-docker-on-raspberry-pi

#3 - 02/01/2020 05:31 PM - Luke Murphey

- Status changed from In Progress to New

#4 - 03/06/2020 06:53 AM - Luke Murphey

I setup logging to standard out. This works ok but the severity isn't included.

#5 - 03/06/2020 07:14 AM - Luke Murphey

- Status changed from New to In Progress

- % Done changed from 0 to 50

#6 - 03/06/2020 06:13 PM - Luke Murphey

I don't like the way logging works with this. Exceptions don't get parsed out well.

#7 - 03/12/2020 05:32 PM - Luke Murphey

- Status changed from In Progress to Closed

- % Done changed from 50 to 100
